// DIO247.h : Header file for DIO247.dll
//
//For Microsoft Visual C++, use VCDIO247.lib

#ifdef __cplusplus
extern "C" {
#endif



__declspec(dllimport) unsigned long GetNumCards(void);
__declspec(dllimport) unsigned long QueryCardID(unsigned long CardNum, unsigned long *pDeviceID);
__declspec(dllimport) unsigned long QueryCardBase(unsigned long CardNum, unsigned long *pBase);
__declspec(dllimport) unsigned long WaitForIRQ(unsigned long CardNum);
__declspec(dllimport) unsigned long WaitForIRQData(unsigned long CardNum, signed long DataBytes, void *pData);
__declspec(dllimport) unsigned long RelInPortStringW(unsigned long CardNum, unsigned long Offset, unsigned long Words, unsigned short *pData);
__declspec(dllimport) unsigned long InPortStringW(unsigned long Address, unsigned long Words, unsigned short *pData);

__declspec(dllimport) unsigned short RelInPortB (unsigned long CardNum, unsigned long Offset);
__declspec(dllimport) unsigned short RelInPort  (unsigned long CardNum, unsigned long Offset                      );
__declspec(dllimport) unsigned long  RelInPortL (unsigned long CardNum, unsigned long Offset                      );
__declspec(dllimport) unsigned short RelOutPortB(unsigned long CardNum, unsigned long Offset, unsigned char  Value);
__declspec(dllimport) unsigned short RelOutPort (unsigned long CardNum, unsigned long Offset, unsigned short Value);
__declspec(dllimport) unsigned short RelOutPortL(unsigned long CardNum, unsigned long Offset, unsigned long  Value);

__declspec(dllimport) unsigned short    InPortB (unsigned long Addr                      );
__declspec(dllimport) unsigned short    InPort  (unsigned long Addr                      );
__declspec(dllimport) unsigned long     InPortL (unsigned long Addr                      );
__declspec(dllimport) unsigned short    OutPortB(unsigned long Addr, unsigned char  Value);
__declspec(dllimport) unsigned short    OutPort (unsigned long Addr, unsigned short Value);
__declspec(dllimport) unsigned short    OutPortL(unsigned long Addr, unsigned long  Value);



#ifdef __cplusplus
}
#endif
